<?php

namespace Litecms\Notice\Repositories\Eloquent;

use Litecms\Notice\Interfaces\NoticeRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NoticeRepository extends BaseRepository implements NoticeRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.notice.notice.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.notice.notice.model.model');
    }
}
